Collection
Date: 2012-06-28

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.common.xml.databases.existlibrary.collections
Interface Collection

All Known Implementing Classes:
  CollectionImpl, PartitionedCollection, SimpleCollection

    public interface Collection

Defines the behavior of collection

Author:
  Manuele Simi (CNR)

Nested Class Summary
`static class` | `Collection.CollectionAlreadyExistException`
`static class` | `Collection.CollectionCreationException`
`static class` | `Collection.CollectionException`

Method Summary
`java.util.List<java.lang.String>` | `AddElement(java.util.List<XMLResource> listResources)`
`void` | `AddElementByResultSet(java.lang.String Locator, UpdateEventConsumer cosumer)` Stores the given resources in the collection
`void` | `close()`
`void` | `create(Collection fatherColl)` Creates the collection if do not exist
`Collection` | `createCollection(java.lang.String collectionName)`
`Collection` | `createPartitionedCollection(java.lang.String collectionName)`
`void` | `deleteCollection(java.lang.String collectionName)`
`java.util.List<java.lang.String>` | `executeXPathDirect(java.lang.String xPath)`
`java.lang.String` | `executeXPathIndirect(java.lang.String xPath)`
`java.util.List<java.lang.String>` | `executeXQueryDirect(java.lang.String xQuery)`
`java.lang.String` | `executeXQueryInDirect(java.lang.String xQuery)`
`int` | `getChildCollectionCount()` Gets the number of children
`java.lang.String` | `getName()` Gets the collection name
`XMLResource` | `getResourceById(java.lang.String id)`
`Collection` | `openSubCollection(java.lang.String collectionName)` Open a subCollection
`java.util.List<java.lang.String>` | `removeElements(java.lang.String[] toRemove)` Opens the collection

Method Detail

### getName

    java.lang.String getName()

  Gets the collection name

### openSubCollection

    Collection openSubCollection(java.lang.String collectionName)
                                 throws Collection.CollectionException

  Open a subCollection

  Throws:
    `Collection.CollectionException`

### create

    void create(Collection fatherColl)
                throws Collection.CollectionCreationException,
                       Collection.CollectionAlreadyExistException

  Creates the collection if do not exist

  Throws:
    `Collection.CollectionCreationException`
    `Collection.CollectionAlreadyExistException`

### AddElementByResultSet

    void AddElementByResultSet(java.lang.String Locator,
                               UpdateEventConsumer cosumer)

  Stores the given resources in the collection

### AddElement

    java.util.List<java.lang.String> AddElement(java.util.List<XMLResource> listResources)
                                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### deleteCollection

    void deleteCollection(java.lang.String collectionName)
                          throws Collection.CollectionException

  Throws:
    `Collection.CollectionException`

### executeXPathDirect

    java.util.List<java.lang.String> executeXPathDirect(java.lang.String xPath)
                                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### executeXPathIndirect

    java.lang.String executeXPathIndirect(java.lang.String xPath)
                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### executeXQueryInDirect

    java.lang.String executeXQueryInDirect(java.lang.String xQuery)
                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### executeXQueryDirect

    java.util.List<java.lang.String> executeXQueryDirect(java.lang.String xQuery)
                                                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### createPartitionedCollection

    Collection createPartitionedCollection(java.lang.String collectionName)
                                           throws Collection.CollectionAlreadyExistException,
                                                  Collection.CollectionCreationException

  Throws:
    `Collection.CollectionAlreadyExistException`
    `Collection.CollectionCreationException`

### createCollection

    Collection createCollection(java.lang.String collectionName)
                                throws Collection.CollectionAlreadyExistException,
                                       Collection.CollectionCreationException

  Throws:
    `Collection.CollectionAlreadyExistException`
    `Collection.CollectionCreationException`

### close

    void close()
               throws Collection.CollectionException

  Throws:
    `Collection.CollectionException`

### getResourceById

    XMLResource getResourceById(java.lang.String id)
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### removeElements

    java.util.List<java.lang.String> removeElements(java.lang.String[] toRemove)
                                                    throws Collection.CollectionException

  Opens the collection

  Throws:
    `Collection.CollectionException`

### getChildCollectionCount

    int getChildCollectionCount()
                                throws Collection.CollectionException

  Gets the number of children

  Returns:
    the number of children
  Throws:
    `Collection.CollectionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD